Bug 829533 - missing Requires for php-pear-DB
missing Requires for php-pear-DB
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: squirrelmail (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 21:54 EDT by manuel wolfshant
Modified: 2014-04-01 15:18 EDT (History)
1 user (show)

See Also:
Fixed In Version: squirrelmail-1.4.22-4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-01 15:18:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description manuel wolfshant 2012-06-06 21:54:37 EDT
Description of problem:
php-pear-DB is needed in order to access a MySQL user database. This package is not brought it at install time and therefore the users cannot be authenticated against MySQL databases.


Version-Release number of selected component (if applicable):


How reproducible:
squirrelmail-1.4.22-2.el6.noarch


Steps to Reproduce:
1. install squirrelmail
2. configure it to access your MySQL db
3. watch it not authenticate and complain as below:
PHP Warning:  include_once(): Failed opening 'DB.php' for inclusion (include_path='.:/usr/share/pear:/usr/share/php') in /usr/share/squirrelmail/functions/db_prefs.php on line 39,

  
Actual results:
Users are not authenticated

Expected results:
Everything should work 

Additional info:
yum install php-pear-DB solves the problem.
Comment 1 manuel wolfshant 2012-06-06 22:01:29 EDT
sorry, messed a bit the above report. Please read that as:

Version-Release number of selected component (if applicable):
squirrelmail-1.4.22-2.el6.noarch

How reproducible:
always if php-pear-DB is not installed independent of squirrelmail
Comment 2 Fedora Update System 2014-03-07 13:46:10 EST
squirrelmail-1.4.22-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/squirrelmail-1.4.22-4.el6
Comment 3 Fedora Update System 2014-03-08 15:59:49 EST
Package squirrelmail-1.4.22-4.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing squirrelmail-1.4.22-4.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0785/squirrelmail-1.4.22-4.el6
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2014-04-01 15:18:24 EDT
squirrelmail-1.4.22-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.